/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.10.27
 * 描述               :        			长度基础信息
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Slm.BaseInformation.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.BaseInformation.mapper.SlmBaseLengthMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_BASE_LENGTH", namespace=SlmBaseLengthMapper.class)
public class SlmBaseLength extends BaseVO implements Serializable {
	/**
	 * 	长度基础信息表
	 */
	private static final long serialVersionUID = -4525040793465727529L;
	@Id
	//长度编号
	private String length_no;
	public String  getLength_no() {
		return this.length_no;
	}
	public void setLength_no(String length_no) {
		this.length_no = length_no;
	}

	@Column
	//长
	private Double length;
	public Double  getLength() {
		return this.length;
	}
	public void setLength(Double length) {
		this.length = length;
	}

	@Column
	//长度下限
	private Double length_max;
	public Double  getLength_max() {
		return this.length_max;
	}
	public void setLength_max(Double length_max) {
		this.length_max = length_max;
	}

	@Column
	//长度上限
	private Double length_min;
	public Double  getLength_min() {
		return this.length_min;
	}
	public void setLength_min(Double length_min) {
		this.length_min = length_min;
	}

	@Column
	//计量单位编号（0020）
	private String length_unit_no;
	public String  getLength_unit_no() {
		return this.length_unit_no;
	}
	public void setLength_unit_no(String length_unit_no) {
		this.length_unit_no = length_unit_no;
	}

	@Column
	//计量单位名称
	private String length_unit_name;
	public String  getLength_unit_name() {
		return this.length_unit_name;
	}
	public void setLength_unit_name(String length_unit_name) {
		this.length_unit_name = length_unit_name;
	}

	@Column
	//短尺率(%)
	private Double short_ruler_ratio;
	public Double  getShort_ruler_ratio() {
		return this.short_ruler_ratio;
	}
	public void setShort_ruler_ratio(Double short_ruler_ratio) {
		this.short_ruler_ratio = short_ruler_ratio;
	}

	@Column
	//短尺最短
	private Double short_ruler_length;
	public Double  getShort_ruler_length() {
		return this.short_ruler_length;
	}
	public void setShort_ruler_length(Double short_ruler_length) {
		this.short_ruler_length = short_ruler_length;
	}

	@Column
	//计量单位编号（0020）
	private String short_ruler_unit_no;
	public String  getShort_ruler_unit_no() {
		return this.short_ruler_unit_no;
	}
	public void setShort_ruler_unit_no(String short_ruler_unit_no) {
		this.short_ruler_unit_no = short_ruler_unit_no;
	}

	@Column
	//计量单位名称
	private String short_ruler_unit_name;
	public String  getShort_ruler_unit_name() {
		return this.short_ruler_unit_name;
	}
	public void setShort_ruler_unit_name(String short_ruler_unit_name) {
		this.short_ruler_unit_name = short_ruler_unit_name;
	}

	@Column
	//长尺率(%)
	private Double long_ruler_ratio;
	public Double  getLong_ruler_ratio() {
		return this.long_ruler_ratio;
	}
	public void setLong_ruler_ratio(Double long_ruler_ratio) {
		this.long_ruler_ratio = long_ruler_ratio;
	}

	@Column
	//长尺最长
	private Double long_ruler_length;
	public Double  getLong_ruler_length() {
		return this.long_ruler_length;
	}
	public void setLong_ruler_length(Double long_ruler_length) {
		this.long_ruler_length = long_ruler_length;
	}

	@Column
	//计量单位编号（0020）
	private String long_ruler_unit_no;
	public String  getLong_ruler_unit_no() {
		return this.long_ruler_unit_no;
	}
	public void setLong_ruler_unit_no(String long_ruler_unit_no) {
		this.long_ruler_unit_no = long_ruler_unit_no;
	}

	@Column
	//计量单位名称
	private String long_ruler_unit_name;
	public String  getLong_ruler_unit_name() {
		return this.long_ruler_unit_name;
	}
	public void setLong_ruler_unit_name(String long_ruler_unit_name) {
		this.long_ruler_unit_name = long_ruler_unit_name;
	}

	@Column
	//短尺随炉
	private String is_together;
	public String  getIs_together() {
		return this.is_together;
	}
	public void setIs_together(String is_together) {
		this.is_together = is_together;
	}

	@Column
	//平均长度大于
	private Double out_average_length;
	public Double  getOut_average_length() {
		return this.out_average_length;
	}
	public void setOut_average_length(Double out_average_length) {
		this.out_average_length = out_average_length;
	}

	@Column
	//计量单位编号（0020）
	private String average_length_unit_no;
	public String  getAverage_length_unit_no() {
		return this.average_length_unit_no;
	}
	public void setAverage_length_unit_no(String average_length_unit_no) {
		this.average_length_unit_no = average_length_unit_no;
	}

	@Column
	//计量单位名称
	private String average_length_unit_name;
	public String  getAverage_length_unit_name() {
		return this.average_length_unit_name;
	}
	public void setAverage_length_unit_name(String average_length_unit_name) {
		this.average_length_unit_name = average_length_unit_name;
	}

	@Column
	//最长最短差小于
	private Double long_and_short;
	public Double  getLong_and_short() {
		return this.long_and_short;
	}
	public void setLong_and_short(Double long_and_short) {
		this.long_and_short = long_and_short;
	}

	@Column
	//计量单位编号（0020）
	private String las_unit_no;
	public String  getLas_unit_no() {
		return this.las_unit_no;
	}
	public void setLas_unit_no(String las_unit_no) {
		this.las_unit_no = las_unit_no;
	}

	@Column
	//计量单位名称
	private String las_unit_name;
	public String  getLas_unit_name() {
		return this.las_unit_name;
	}
	public void setLas_unit_name(String las_unit_name) {
		this.las_unit_name = las_unit_name;
	}

	@Column
	//成品公差
	private Double tolerance;
	public Double  getTolerance() {
		return this.tolerance;
	}
	public void setTolerance(Double tolerance) {
		this.tolerance = tolerance;
	}

	@Column
	//计量单位编号（0020）
	private String tolerance_unit_no;
	public String  getTolerance_unit_no() {
		return this.tolerance_unit_no;
	}
	public void setTolerance_unit_no(String tolerance_unit_no) {
		this.tolerance_unit_no = tolerance_unit_no;
	}

	@Column
	//计量单位名称
	private String tolerance_unit_name;
	public String  getTolerance_unit_name() {
		return this.tolerance_unit_name;
	}
	public void setTolerance_unit_name(String tolerance_unit_name) {
		this.tolerance_unit_name = tolerance_unit_name;
	}

	@Column
	//单倍尺长
	private Double single_ruler_length;
	public Double  getSingle_ruler_length() {
		return this.single_ruler_length;
	}
	public void setSingle_ruler_length(Double single_ruler_length) {
		this.single_ruler_length = single_ruler_length;
	}

	@Column
	//计量单位编号（0020）
	private String srl_unit_no;
	public String  getSrl_unit_no() {
		return this.srl_unit_no;
	}
	public void setSrl_unit_no(String srl_unit_no) {
		this.srl_unit_no = srl_unit_no;
	}

	@Column
	//计量单位名称
	private String srl_unit_name;
	public String  getSrl_unit_name() {
		return this.srl_unit_name;
	}
	public void setSrl_unit_name(String srl_unit_name) {
		this.srl_unit_name = srl_unit_name;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//状态
	private String valid_flag;
	public String  getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	@Column
	//创建人编号
	private String create_man_no;
	public String  getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	@Column
	//创建人姓名
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人编号
	private String update_man_no;
	public String  getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	@Column
	//修改人姓名
	private String update_man_name;
	public String  getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人编号
	private String delete_man_no;
	public String  getDelete_man_no() {
		return this.delete_man_no;
	}
	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	@Column
	//删除人姓名
	private String delete_man_name;
	public String  getDelete_man_name() {
		return this.delete_man_name;
	}
	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
